%% Procent Operability for Perfect Weather Forecast

function Operability=RROBenchmark(opLim_all, Weather,heading, operation)
tic

%% Calculate percent operability for one operation, heading and transit

countBelow = 0;
countBelow_hour = 0;
a=0;
k = 0;
        
while k < length(Weather)
    
    if a == 1
        k = k +1;
        a=0;
    else
        k = k + 1;
    end
            
    %% Check if k exceeds length of Weather vector
            
    if k > length(Weather)
        break
    end
            
    %% Chekc weather limit
    Hs_lim = interp1(opLim_all(:,1, heading, operation),opLim_all(:,2, heading, operation),Weather(k,5),'linear','extrap');
            
    if Weather(k,4) < Hs_lim
                
        countBelow_hour = countBelow_hour+1;
            
    else
        countBelow_hour = 0;
    end
                
    if countBelow_hour == 1
        countBelow = countBelow + 1;
        k = k;
        a=1;
        countBelow_hour = 0;
    end
end

       
        %% Calculate Operability
        %Operability = (countBelow*(duration + 2*transit))/(size(Weather,1))*100;
        
        Possible_Op = size(Weather,1);

        Operability= (countBelow/Possible_Op)*100;
toc
