%% Procent Operability with real forecast
 
function Operability = RRO(opLim_all, Weather,heading, operation, duration, transit)
tic

%% Calculate percent operability for inout operation and heading

countBelow = 0;
countBelow_forecast = 0;
countBelow_current = 0;
countBelow_all = 0;
a = 0; 
k = 0;

while k < length(Weather)

            if a == 1
                k = k + transit+1;
                a = 0;
            else
                k = k + 1;
            end

    if k > length(Weather)
          break
    end
    
    
    
    %====================================================================
    %Count below limit for weather forecast
    
        Hs_lim_forecast = interp1(opLim_all(:,1, heading, operation),opLim_all(:,2, heading, operation),Weather(k,10),'linear','extrap');

        
    if Weather(k,4) < Hs_lim_forecast
        
        countBelow_forecast = countBelow_forecast+1;
            
    else
        countBelow_forecast = 0;
        countBelow_current = 0;
        
    end    

    %====================================================================   
    %Count below limit for current weather
    
        Hs_lim_current = interp1(opLim_all(:,1, heading, operation),opLim_all(:,2, heading, operation),Weather(k,5),'linear','extrap');
        
    
    if Weather(k,4) < Hs_lim_current && countBelow_forecast ~= 0
        
        countBelow_current = countBelow_current+1;
            
    else
        countBelow_current = 0;
        countBelow_forecast = 0;
    end
 
    %====================================================================
    %Count below limit for both forecast and current
    
    if  countBelow_current ~= 0 || countBelow_forecast ~= 0
        
        countBelow_all = countBelow_all + 1;
        
    else
        countBelow_all = 0;
        
    end
    
    if countBelow_all == duration
        
        k = k + transit;
        a=1;
        countBelow = countBelow + 1;
        countBelow_all = 0;
        countBelow_forecast = 0;
        countBelow_current = 0;
    end
    
end

        Possible_Op = size(Weather,1)/(duration + 2*transit);

        
        Operability= (countBelow/Possible_Op)*100;


toc
end





