tic
clc;
clear;
%% Percentage Operability with real forecast

Durations = [ 48 4 5 5 4 2 4 40];

Weighting_operations = [ 8760/288 1 8760/288 8760/168 1 1 8760/750 6 ];

Weighting_operations = Weighting_operations./sum(Weighting_operations);

run('ReadWeatherandOpLim');

Operability = zeros(1,length(Durations));

transit = 0;


for i=1:length(Durations)

    
    heading = 4;    
    duration = Durations(i);
    
    Operability(1, i) = RRO(opLim_all, Weather,heading, i, duration,transit);
    

end

RRO_weighted = Operability*Weighting_operations';
toc
