%% Plots Weather Data in Map

map = worldmap('Norway');
%map=worldmap([63 65],[7.5 10]);
geoshow('landareas.shp', 'FaceColor', [0.15 0.5 0.15])

ncdisp('ExposedBoyer18fc.nc')

vardata=ncread('ExposedBoyer18fc.nc','swh');
lat=double(ncread('ExposedBoyer18fc.nc','latitude'));
lon=double(ncread('ExposedBoyer18fc.nc','longitude'));

LAT=[];
for i=1:length(lon)
    LAT=[LAT; lat];
end

LON=[];
for j=1:length(lon)
    for i=1:length(lat)
        LON=[LON; lon(j)];
    end
end

VD=[];
for i=1:length(vardata(:,1,100))
    VD=[VD; vardata(i,:,100)'];
end
    

scatterm(LAT,LON,20,VD);

% loops=600;
% F(loops) = struct('cdata',[],'colormap',[]);
% for m = 1:1:loops %length(vardata(1,1,:))
%     VD=[];
%     for i=1:length(vardata(:,1,m))
%         VD=[VD; vardata(i,:,m)'];
%     end
%     scatterm(LAT,LON,100,VD);
%     F(m)=getframe;
% end

%geoshow(lat, lon, vardata(:,:,1))

